%% VK_SIM_DELETE_RESULTS Removes data belonging to the simulation from project
%
% SYNOPSIS
%   This function deletes the `sim_state' field from a project.
%
% USAGE
%   p = vk_sim_delete_results(p);
%
% See also: vk_kernel_delete_results

%%
%  Copyright 2011 Jacek B. Krawczyk and Alastair Pharo
%
%  Licensed under the Apache License, Version 2.0 (the "License");
%  you may not use this file except in compliance with the License.
%  You may obtain a copy of the License at
%
%      http://www.apache.org/licenses/LICENSE-2.0
%
%  Unless required by applicable law or agreed to in writing, software
%  distributed under the License is distributed on an "AS IS" BASIS,
%  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
%  See the License for the specific language governing permissions and
%  limitations under the License.
function project = vk_sim_delete_results(project)
    if (isfield(project, 'sim_state'))
        project = rmfield(project, 'sim_state');
    end
end
